ros-rolling-realtime-tools (4.4.0-1noble) noble; urgency=high

  * Silence some deprecation warnings (#355 <https://github.com/ros-controls/realtime_tools/issues/355>)
  * Add new API for the RealtimePublisher (#323 <https://github.com/ros-controls/realtime_tools/issues/323>)
  * Add guidelines for realtimebox/queue (#347 <https://github.com/ros-controls/realtime_tools/issues/347>)
  * Add docs for control.ros.org (#346 <https://github.com/ros-controls/realtime_tools/issues/346>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 13 Jun 2025 00:00:00 -0000

ros-rolling-realtime-tools (4.3.0-1noble) noble; urgency=high

  * Change default mutex of RealtimeThreadSafeBox and add more aliases (#342 <https://github.com/ros-controls/realtime_tools/issues/342>)
  * Rename RealtimeBox to RealtimeThreadsafeBox and use prio_inherit_mutex (#318 <https://github.com/ros-controls/realtime_tools/issues/318>)
  * export Boost dependency (#336 <https://github.com/ros-controls/realtime_tools/issues/336>)
  * Use Boost::boost instead of ${Boost_LIBRARIES} (#333 <https://github.com/ros-controls/realtime_tools/issues/333>)
  * Use target_link_libraries instead of ament_target_dependencies (#331 <https://github.com/ros-controls/realtime_tools/issues/331>)
  * Cleanup deprecated constructor of RTPublisher (#330 <https://github.com/ros-controls/realtime_tools/issues/330>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 25 May 2025 00:00:00 -0000

ros-rolling-realtime-tools (4.2.1-1noble) noble; urgency=high

  * Fix the deadlock in the destructor of RealtimePublisher (#320 <https://github.com/ros-controls/realtime_tools/issues/320>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 May 2025 00:00:00 -0000

ros-rolling-realtime-tools (4.2.0-1noble) noble; urgency=high

  * Fix realtime publisher race condition upon initialization (#309 <https://github.com/ros-controls/realtime_tools/issues/309>)
  * Move the package to a subfolder (#295 <https://github.com/ros-controls/realtime_tools/issues/295>)
  * Use ros2_control_cmake (#293 <https://github.com/ros-controls/realtime_tools/issues/293>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Apr 2025 00:00:00 -0000

ros-rolling-realtime-tools (4.1.0-1noble) noble; urgency=high

  * [RTPublisher] Use NON_POLLING as default for the realtime pubisher  (#280 <https://github.com/ros-controls/realtime_tools/issues/280>)
  * Bump version of pre-commit hooks (#276 <https://github.com/ros-controls/realtime_tools/issues/276>)
  * Contributors: Sai Kishor Kothakota, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Feb 2025 00:00:00 -0000

ros-rolling-realtime-tools (4.0.0-1noble) noble; urgency=high

  * Remove deprecated code (#262 <https://github.com/ros-controls/realtime_tools/issues/262>)
  * Remove RealtimeClock (#261 <https://github.com/ros-controls/realtime_tools/issues/261>)
  * Install boost on jazzy as well (#273 <https://github.com/ros-controls/realtime_tools/issues/273>)
  * Use ABI workflow from ros2_control_ci (#264 <https://github.com/ros-controls/realtime_tools/issues/264>)
  * Improve has_realtime_kernel method (#260 <https://github.com/ros-controls/realtime_tools/issues/260>)
  * Branch for jazzy (#263 <https://github.com/ros-controls/realtime_tools/issues/263>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 30 Jan 2025 00:00:00 -0000

ros-rolling-realtime-tools (3.2.0-1noble) noble; urgency=high

  * Add Lock-free Queue (#253 <https://github.com/ros-controls/realtime_tools/issues/253>)
  * Use humble branch of control_toolbox repo (#258 <https://github.com/ros-controls/realtime_tools/issues/258>)
  * Avoid to include windows.h in realtime_helpers.hpp (#255 <https://github.com/ros-controls/realtime_tools/issues/255>)
  * Bump version of pre-commit hooks (#251 <https://github.com/ros-controls/realtime_tools/issues/251>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota, Silvio Traversaro, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Jan 2025 00:00:00 -0000

ros-rolling-realtime-tools (3.1.0-1noble) noble; urgency=high

  * Fix ref for scheduled build (#248 <https://github.com/ros-controls/realtime_tools/issues/248>)
  * Add realtime priority inheritance mutexes (#197 <https://github.com/ros-controls/realtime_tools/issues/197>)
  * Deprecate RealtimeClock class (#244 <https://github.com/ros-controls/realtime_tools/issues/244>)
  * Remove wrong comments (#240 <https://github.com/ros-controls/realtime_tools/issues/240>)
  * Add get_thread method to RealtimePublisher (#228 <https://github.com/ros-controls/realtime_tools/issues/228>)
  * sleep after starting thread to fix flaky tests (#235 <https://github.com/ros-controls/realtime_tools/issues/235>)
  * Fix the badges in the readme (#234 <https://github.com/ros-controls/realtime_tools/issues/234>)
  * First step towards modernizing the rt publisher (#210 <https://github.com/ros-controls/realtime_tools/issues/210>)
  * Add missing change to .hpp for realtime_clock (#227 <https://github.com/ros-controls/realtime_tools/issues/227>)
  * Remove duplicate downstream build workflow (#230 <https://github.com/ros-controls/realtime_tools/issues/230>)
  * Changes after branching humble (#217 <https://github.com/ros-controls/realtime_tools/issues/217>)
  * CI downstream build (#214 <https://github.com/ros-controls/realtime_tools/issues/214>)
  * Contributors: Christoph Fröhlich, Lennart Nachtigall, Patrick Roncagliolo, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 29 Dec 2024 00:00:00 -0000

ros-rolling-realtime-tools (3.0.0-1noble) noble; urgency=high

  * remove unused state_ field (#215 <https://github.com/ros-controls/realtime_tools/issues/215>)
  * Bump version of pre-commit hooks (#213 <https://github.com/ros-controls/realtime_tools/issues/213>)
  * Add job for clang build (#207 <https://github.com/ros-controls/realtime_tools/issues/207>)
  * Add support to parse multiple cores for setting CPU affinity (#208 <https://github.com/ros-controls/realtime_tools/issues/208>)
  * Adapt API style of lock_memory to match the one of the other functions (#209 <https://github.com/ros-controls/realtime_tools/issues/209>)
  * Move the header files to .hpp extension (#206 <https://github.com/ros-controls/realtime_tools/issues/206>)
  * Use windows CI build (#204 <https://github.com/ros-controls/realtime_tools/issues/204>)
  * Add downstream build CI job (#201 <https://github.com/ros-controls/realtime_tools/issues/201>)
  * Fix RealtimeBox broken API + realtime_box_best_effort.h proper deprecation (#202 <https://github.com/ros-controls/realtime_tools/issues/202>)
  * Replace existing RealtimeBox implementation with RealtimeBoxBestEffort implementation (#146 <https://github.com/ros-controls/realtime_tools/issues/146>)
  * Overloading the set_thread_affinity method for Windows compatibility (#193 <https://github.com/ros-controls/realtime_tools/issues/193>)
  * Remove iron workflows and update readme (#184 <https://github.com/ros-controls/realtime_tools/issues/184>)
  * Add method to get the current callback time and period (#192 <https://github.com/ros-controls/realtime_tools/issues/192>)
  * Use pthread_setaffinity_np for setting affinity rather than sched_setaffinity (#190 <https://github.com/ros-controls/realtime_tools/issues/190>)
  * Add the same compile flags as with ros2_controllers and fix errors (#185 <https://github.com/ros-controls/realtime_tools/issues/185>)
  * Contributors: Christoph Fröhlich, Gilmar Correia, Lennart Nachtigall, Sai Kishor Kothakota, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Dec 2024 00:00:00 -0000

ros-rolling-realtime-tools (2.8.1-1noble) noble; urgency=high

  * Fix libcap-dev dependency (#189 <https://github.com/ros-controls/realtime_tools/issues/189>)
    Update libcap-dev dependency
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 05 Nov 2024 00:00:00 -0000

ros-rolling-realtime-tools (2.8.0-1noble) noble; urgency=high

  * Add methods to set the thread affinity (#186 <https://github.com/ros-controls/realtime_tools/issues/186>)
  * Fix pre-commit of #187 <https://github.com/ros-controls/realtime_tools/issues/187> (#188 <https://github.com/ros-controls/realtime_tools/issues/188>)
  * Removing thread_priority.hpp warning for Windows Systems (#187 <https://github.com/ros-controls/realtime_tools/issues/187>)
  * Fix build error with clang (#183 <https://github.com/ros-controls/realtime_tools/issues/183>)
  * Bump version of pre-commit hooks (#182 <https://github.com/ros-controls/realtime_tools/issues/182>)
  * [AsyncFunctionHandler] return execution time in nanoseconds (#181 <https://github.com/ros-controls/realtime_tools/issues/181>)
  * Rename thread_priority to realtime_helpers header (#178 <https://github.com/ros-controls/realtime_tools/issues/178>)
  * Include <functional> in realtime_box_best_effort (#173 <https://github.com/ros-controls/realtime_tools/issues/173>)
  * Bump version of pre-commit hooks (#171 <https://github.com/ros-controls/realtime_tools/issues/171>)
  * Add fixes to the code to work for the windows systems (#180 <https://github.com/ros-controls/realtime_tools/issues/180>)
  * Update thread_priority.cpp (#170 <https://github.com/ros-controls/realtime_tools/issues/170>)
  * Add a helper method to lock the pages of memory in the RAM (#175 <https://github.com/ros-controls/realtime_tools/issues/175>)
  * Contributors: Christoph Fröhlich, Felix Exner (fexner), Gilmar Correia, Luca Della Vedova, Sai Kishor Kothakota, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 04 Nov 2024 00:00:00 -0000

ros-rolling-realtime-tools (2.7.0-1noble) noble; urgency=high

  * [AsyncFunctionHandler] Add exception handling (#172 <https://github.com/ros-controls/realtime_tools/issues/172>)
  * Bump version of pre-commit hooks (#169 <https://github.com/ros-controls/realtime_tools/issues/169>)
  * Contributors: Sai Kishor Kothakota, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 29 Oct 2024 00:00:00 -0000

ros-rolling-realtime-tools (2.6.0-1noble) noble; urgency=high

  * Add Async Function Handler  (#168 <https://github.com/ros-controls/realtime_tools/issues/168>)
  * Bump version of pre-commit hooks (#167 <https://github.com/ros-controls/realtime_tools/issues/167>)
  * [CI] Add jazzy :rocket:  (#165 <https://github.com/ros-controls/realtime_tools/issues/165>)
  * [CI] Specify runner/container images (#163 <https://github.com/ros-controls/realtime_tools/issues/163>)
  * Add custom rosdoc2 config (#161 <https://github.com/ros-controls/realtime_tools/issues/161>)
  * Added a new implementation of the RealtimeBox with added best effort behaviour (#139 <https://github.com/ros-controls/realtime_tools/issues/139>)
  * [CI] Code coverage and pre-commit (#154 <https://github.com/ros-controls/realtime_tools/issues/154>)
  * [CI] Use reusable workflows and matrix strategy (#151 <https://github.com/ros-controls/realtime_tools/issues/151>)
  * Bump ros-tooling/action-ros-ci from 0.3.5 to 0.3.6 (#148 <https://github.com/ros-controls/realtime_tools/issues/148>)
  * Fix RHEL workflows (#144 <https://github.com/ros-controls/realtime_tools/issues/144>)
  * update unlock method to also include the part of the NON_POLLING (#142 <https://github.com/ros-controls/realtime_tools/issues/142>)
  * Bump actions/upload-artifact from 4.1.0 to 4.2.0 (#143 <https://github.com/ros-controls/realtime_tools/issues/143>)
  * [CI] Add debian workflows (#145 <https://github.com/ros-controls/realtime_tools/issues/145>)
  * Test fix: initialize the global context to avoid runtime_error upon destruction (#128 <https://github.com/ros-controls/realtime_tools/issues/128>)
  * Contributors: Christoph Fröhlich, Felix Exner (fexner), Lennart Nachtigall, Sai Kishor Kothakota, dependabot[bot], github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 14 Aug 2024 00:00:00 -0000

ros-rolling-realtime-tools (2.5.0-1noble) noble; urgency=high

  * Fix overriding of install (#105 <https://github.com/ros-controls/realtime_tools/issues/105>)
  * Add missing test dependency on ament_cmake_gmock (#94 <https://github.com/ros-controls/realtime_tools/issues/94>)
  * Contributors: Bence Magyar, Denis Štogl, Scott K Logan, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 28 Jan 2023 00:00:00 -0000

ros-rolling-realtime-tools (2.4.0-1noble) noble; urgency=high

  * bug fix for RealtimePublisher with NON_POLLING (#85 <https://github.com/ros-controls/realtime_tools/issues/85>)
  * ci: :construction_worker: update rhel container (#92 <https://github.com/ros-controls/realtime_tools/issues/92>)
  * Make thread_priority a shared library (#91 <https://github.com/ros-controls/realtime_tools/issues/91>)
  * Contributors: Andy Zelenak, Jaron Lundwall, Yoav Fekete, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 19 Nov 2022 00:00:00 -0000

ros-rolling-realtime-tools (2.3.0-1noble) noble; urgency=high

  * Fix source-based branch names (#90 <https://github.com/ros-controls/realtime_tools/issues/90>)
  * Fix formatting (#89 <https://github.com/ros-controls/realtime_tools/issues/89>)
  * fix cpplint errors
  * Add a library to set thread priority
  * Add CI setup as for ros2_control repository.
  * Contributors: Andy Zelenak, Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 26 Aug 2022 00:00:00 -0000

ros-rolling-realtime-tools (2.2.0-1noble) noble; urgency=high

  * Adding new reset() function for Issue-247.
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Nov 2021 00:00:00 -0000

ros-rolling-realtime-tools (2.1.1-1noble) noble; urgency=high

  * Fix deprecation warnings when constructing rclcpp::Duration
    Since https://github.com/ros2/rclcpp/pull/1432 (upcoming in Galactic), we should not initialize with a single integer
    as the units are ambiguous.
  * fix the mis-type error.
  * Fix uninitialized variable
  * Contributors: Jacob Perron, Victor Lopez, seanyen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 21 Mar 2021 00:00:00 -0000

ros-rolling-realtime-tools (2.1.0-1noble) noble; urgency=high

  * fix msbuild warning
  * address linter failures
  * enable linters
  * avoid deprecations
  * Realtime server goal thread handle safety + additional warning fixes (#2 <https://github.com/ros-controls/realtime_tools/issues/2>) (#57 <https://github.com/ros-controls/realtime_tools/issues/57>)
    * Made code thread safe, fixed warnings with repeated aborts/success/cancels
    Fixed -reorder warning
    Early return
    * removed atomic
    * removed unneeded header
  * use template instead
  * use std::atomic instead of volatile
  * Contributors: Karsten Knese, Yutaka Kondo, ddengster

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 03 Jul 2020 00:00:00 -0000

ros-rolling-realtime-tools (2.0.0-1noble) noble; urgency=high

  * Add test_depend ament_cmake_gmock
  * Update CI for dashing
  * Add sloretz as another author
  * Typename and typos in RTPublisher
  * Shorter type names
  * Port RealtimeServerGoalHandle to ROS 2
  * Port RealtimePublisher to ROS 2
    Use test_msgs instead of std_msgs
  * Box and buffer work in ROS 2 unchanged
  * Port RealtimeClock to ROS 2
  * Remove actionlib definitions
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Sep 2019 00:00:00 -0000

ros-rolling-realtime-tools (1.14.0-1noble) noble; urgency=high

  * Undo action typedef changes
  * Remove boost
  * Clean up includes in realtime_tools namespace
  * Switch to gmock
  * Remove TARGET check on tests
  * Add unit test for RealtimeServerGoalHandle, RealtimePublisher, RealtimeClock, RealtimeBuffer, RealtimeBox
  * Fix race where first message won't get published
  * Clean up dependencies and package.xml
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2019 00:00:00 -0000

ros-rolling-realtime-tools (1.13.1-1noble) noble; urgency=high

  * Fix actionlib regression
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Feb 2019 00:00:00 -0000

ros-rolling-realtime-tools (1.13.0-1noble) noble; urgency=high

  * Update readme
  * use this_thread::sleep_for instead of usleep (#32 <https://github.com/ros-controls/realtime_tools/issues/32>)
  * specify RUNTIME DESTINATION for libraries (#33 <https://github.com/ros-controls/realtime_tools/issues/33>)
    needed for exporting DLLs on Windows
  * Made RealtimeBuffer's copy-constructor const
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu, Mathias Lüdtke, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Feb 2019 00:00:00 -0000

ros-rolling-realtime-tools (1.12.0-1noble) noble; urgency=high

  * Add RealtimePublisherSharedPtr<T>
  * boost::shared_ptr -> std::shared_ptr
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 19 May 2018 00:00:00 -0000

ros-rolling-realtime-tools (1.11.0-1noble) noble; urgency=high

  * Updated RT goal handle to handle cancel requests (#22 <https://github.com/ros-controls/realtime_tools/issues/22>)
  * switch to industrial_ci (#20 <https://github.com/ros-controls/realtime_tools/issues/20>)
  * Contributors: Mathias Lüdtke, Nick Lamprianidis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-rolling-realtime-tools (1.10.0-1noble) noble; urgency=high

  * Added constructor in RTB for objects without default constructor
  * Add feedback sending capability to RealtimeServerGoalHandle.
  * Contributors: Bence Magyar, Aris Synodinos, Miguel Prada, graiola

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 28 Jun 2017 00:00:00 -0000

ros-rolling-realtime-tools (1.9.1-1noble) noble; urgency=high

  * RealtimeBox: Fix member doc
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 30 Apr 2015 00:00:00 -0000

ros-rolling-realtime-tools (1.9.0-1noble) noble; urgency=high

  * Remove rosbuild artifacts.
  * Cleaned up CMake and removed unnecessary dependencies
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 May 2014 00:00:00 -0000

ros-rolling-realtime-tools (1.8.3-1noble) noble; urgency=high

  * Fix linking
    The library needs to be linked against roscpp and Boost thread.
    GCC won't complain about missing symbols for a shared library,
    but other linkers (like clang's) will not accept it by default.
  * Added Travis support
  * Renamed manifest.xml so it doesn't brek rosdep
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman, Paul Mathieu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-rolling-realtime-tools (1.8.2-1noble) noble; urgency=high

  * Append newline.
  * Merge pull request #4 <https://github.com/ros-controls/realtime_tools/issues/4> from pal-robotics/hydro-devel
    Add realtime action server goal handle.
  * Add realtime action server goal handle.
    - Factored out from PR2's implementation of the JointTrajectoryActionController.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Austin Hendrix

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 29 Aug 2013 00:00:00 -0000

ros-rolling-realtime-tools (1.8.1-1noble) noble; urgency=high

  * Merge remote-tracking branch 'origin/master' into hydro-devel
  * Merge pull request #2 <https://github.com/ros-controls/realtime_tools/issues/2> from davetcoleman/master
    Made member vars mutable in realtime buffer to allow const read
  * initialize realtime_data_ and non_realtime_data_ before dereferencing and assigning to them in copy constructor
  * Added comments
  * Added readFromNonRT() function, overloaded assignment and copy constructor, and made mutex mutable.
  * Fix typos.
  * Fix build order.
  * Contributors: Austin Hendrix, Dave Coleman

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Jul 2013 00:00:00 -0000

ros-rolling-realtime-tools (1.8.0-1noble) noble; urgency=high

  * Version 1.8.0
  * Install channelecho.py under catkin.
  * adding install targets
  * adding missing manifests
  * merging CMakeLists.txt files from rosbuild and catkin
  * adding hybrid-buildsystem makefiles
  * catkinizing, could still be cleaned up
  * initialize correctly
  * compile realtime clock into library
  * new interface with time and duration
  * support both condition and polling version to allow re-use of binaries in realtime; add realtime buffer to get data from non-RT into RT
  * Make the realtime publisher realtime safe, without needing an rt_condition; we need the same binaries to work on both non-rt and rt.
  * Make the realtime publisher realtime safe, without needing an rt_condition; we need the same binaries to work in both non-rt and rt.
  * move realtime tools in ros control, and create empty constructors for handles
  * Contributors: Austin Hendrix, Jonathan Bohren, Wim Meeussen, hiDOF

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 25 Jun 2013 00:00:00 -0000


